require "uu/os/form/input"

module UU
  module OS
    module Form

      # Component for representation date and time values.
      class Date < UU::OS::Form::Input

        # Date component type. Defines representation of date and time value. Value have to be one from "date", "time" or "datetime"
        attr_accessor :type

        # Component value. The value contains a date represented as a String in a ISO 8601 format,
        # e.g. '2015-07-25T18:30:27+02:00'. However, if the component has type='date',
        # shortened format containing only date part (no time part) is used, e.g.
        # '2015-07-25'. It's recommended to use Time.parse(value) for all cases
        # for proper date/time parsing.
        attr_accessor :value

        def type
          attributes[:type]
        end

        def type=(type)
          attributes[:type] = type
        end

        def value
          attributes[:value]
        end

        def value=(value)
          attributes[:value] = value
        end

      end
    end
  end
end